Bug 594958 - int/unsigned int mismatch in tog-pegasu's libcmpiCppImpl.so
int/unsigned int mismatch in tog-pegasu's libcmpiCppImpl.so
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tog-pegasus (Show other bugs)
14
All Linux
low Severity high
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-22 05:34 EDT by Philippe Vouters
Modified: 2012-08-16 18:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 18:22:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philippe Vouters 2010-05-22 05:34:48 EDT
Description of problem:

libcmpiCppImpl.so only defines run-time symbol _ZNK9CmpiArrayixEj
[philippe@victor ~]$ nm /usr/lib/debug/usr/lib/libcmpiCppImpl.so.1.debug | grep _ZNK9CmpiArrayixE
0000d390 T _ZNK9CmpiArrayixEj
which translates to:
[philippe@victor ~]$ c++filt _ZNK9CmpiArrayixEj
CmpiArray::operator[](unsigned int) const
whereas sblim-cmpi-samba included libraries mostly and frequently reference symbol _ZNK9CmpiArrayixEi
which translates to:
[philippe@victor ~]$ c++filt _ZNK9CmpiArrayixEi
CmpiArray::operator[](int) const

This run-time mismatch in symbols causes sblim-cmpi-samba rpm to be unusable, dl facing an unresolved symbol.

Version-Release number of selected component (if applicable):

sblim-cmpi-samba-0.5.2-2.fc12.i686.rpm

How reproducible:

yum install tog-pegasus-2.9.0-9.fc12.i686
yum install sblim-cmpi-samba-0.5.2-2.fc12.i686
yum install sblim-wbemcli-1.6.0-5.fc12.i686

Then:

[philippe@victor ~]$ wbemcli ei 'http://root:<root password>@localhost:5988/root/cimv2:Linux_SambaHost'
*
* wbemcli: Cim: (1) CIM_ERR_FAILED: ProviderLoadFailure: (/usr/lib/Pegasus/providers/libcmpiLinux_SambaHost.so:CmpiLinux_SambaHostProvider):Cannot load library, error: /usr/lib/cmpi/libcmpiCIM_ConcreteJob.so: undefined symbol: _ZNK9CmpiArrayixEi
*
[philippe@victor ~]$ 


Steps to Reproduce:

1. yum install tog-pegasus-2.9.0-9.fc12.i686
2. yum install sblim-cmpi-samba-0.5.2-2.fc12.i686
3. yum install sblim-wbemcli-1.6.0-5.fc12.i686
4. wbemcli ei 'http://root:<root password>@localhost:5988/root/cimv2:Linux_SambaHost'
  
Actual results:

wbemcli: Cim: (1) CIM_ERR_FAILED: ProviderLoadFailure: (/usr/lib/Pegasus/providers/libcmpiLinux_SambaHost.so:CmpiLinux_SambaHostProvider):Cannot load library, error: /usr/lib/cmpi/libcmpiCIM_ConcreteJob.so: undefined symbol: _ZNK9CmpiArrayixEi

Expected results:

A Samba host CIM instance properties display.

Additional info:

libcmpiCppImpl.so is provided by tog-pegasus. One thing surprising is that 
/usr/include/cmpi/CmpiArray.h defines class CmpiArray : public CmpiObject {} including the line "CmpiArrayIdx operator[](int idx) const;" (int AND NOT unsigned int).

The sblim-cmpi-dns package looks to suffer from another problem.
Comment 1 Philippe Vouters 2010-05-22 09:45:01 EDT
The actual problem with the sblim-cmpi-samba CIM providers with this unsigned int/int mismatch which is even reproduced in /usr/include/cmpi/CmpiArray.h comes from this line:

/usr/src/debug/src/Pegasus/Provider/CMPI/cmpidt.h:    typedef unsigned int CMPICount;

I should have instead read:
/usr/src/debug/src/Pegasus/Provider/CMPI/cmpidt.h:    typedef int CMPICount;

Yours truly,
Philippe Vouters
Comment 2 Fedora Admin XMLRPC Client 2010-08-10 12:41:36 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bug Zapper 2010-11-03 10:25:08 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Philippe Vouters 2010-11-03 10:49:13 EDT
Do close this bug report. The problem is likely to be still alive under Fedora 13. Anyhow, the Open Pegasus maintainers who own this code are in any case totally irresponsive to sent emails. They look to be totally uninterested with what they produced.

Please withdraw any tog-pegasus package from your Fedora, Centos, REHL distributions. This way I should less loose my time and energy. Deeply sorry to have bothered Red Hat with such a bug report. Red Hat is strictly at no fault.

My renewed thanks to Red Hat and the Fedora team to offer at no additional cost a reliable enough distribution,
Yours truly,
Philippe Vouters
Comment 5 Bug Zapper 2010-12-03 09:28:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Fedora End Of Life 2012-08-16 18:22:52 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.